.display-cart-items{
    @include flex($direction:column) ;
    flex-flow: row ;
    flex-wrap: wrap ;
    .display-cart-item {
        @include flex() ;
        flex: 0 0 100% ;
        background-color: map-get($gray-colors, "white" );
        border-radius: map-get($border-radius, "sm" ) ;
        margin-bottom: 0.2rem ;
        padding: 0.8rem 2rem;
        .display-cart-item-img{
            @include flex() ;
            flex : 0 0 5rem ;
            height: 5rem;
            padding:0 ;
            img{
                max-width: 90%;
                max-height: 100%;
                position: relative;
            }
        }
        .display-cart-content{
            @include flex() ;
            flex: 1;
            .display-cart-item-description {
                flex: 1; 
                h3{
                    @include typography($size:14px) ;
                }
                
                padding-right: 1rem;
            }
            .display-cart-item-price{
                flex: 0 0 12rem ;
                &.red{
                    color: map-get($colors, "red-light" )
                }
            }
        }
    }
    &.half {
        @include flex($content:space-between) ;
        .display-cart-item{flex: 0 0 48% ;max-width: 48%}
        .display-cart-content{display: block;text-align: center;flex: 0 0 calc(100% - 5rem);min-width: 0;}
        .display-cart-content .display-cart-item-description,
        .display-cart-content .display-cart-item-price{display: inline-block;width: 100%;
        @include typography($align:right);padding-right: 1rem;}
        .display-cart-content .display-cart-item-description h3{white-space: nowrap;overflow: hidden;text-overflow: ellipsis;
        }
     
     
    }
    &.favorite{
        @include flex($content:space-between) ;
        .display-cart-item{flex: 0 0 48% ;max-width: 48%;padding: 0.6rem} 
        .display-cart-content{display: block;text-align: center;flex: 1;min-width: 0;}
        .display-cart-content .display-cart-item-description,
        .display-cart-content .display-cart-item-price{display: inline-block;width: 100%;
        @include typography($align:right,$lineheight:30px);padding-right: 1rem;}
        .display-cart-item-description h3{
            @include typography($align:right,$lineheight:30px)
        }
    }
}

.display-cart-remove{
    @include flex() ;
    flex: 0 0 3rem ;
    span{
         @include flex() ;
        width: 25px;
        height: 25px;
        background-color:  map-get($gray-colors, "gray-200" );
        border-radius: 100%;
    }
    i{
        @include typography($size:12px)
    }
}